## Class IDS_Caching_Memcached

Description

Implements interfaces:

- IDS_Caching_Interface

File caching wrapper

This class inhabits functionality to get and set cache via memcached.

- author: Lars Strojny <lars@strojny.net>
- author: Christian Matthies <ch0012@gmail.com>
- author: Mario Heiderich <mario.heiderich@gmail.com>
- version: Release: $Id:Memcached.php 517 2007-09-15 15:04:13Z mario $
- copyright: 2007 The PHPIDS Groupoup
- link: http://php-ids.org/
- since: Version 0.4
- license: LGPL

Located in /Caching/Memcached.php (line 52)

Method Summary
static object getInstance (string $type, array $init)
void __construct (string $type, array $init)
mixed getCache ()
object setCache ( $data)
Methods
static method getInstance (line 124)

Returns an instance of this class

- access: public

static object getInstance (string $type, array $init)

- string $type: caching type
- array $init: the IDS_Init object

Constructor __construct (line 100)

Constructor

- throws: Exception if necessary files aren't writeable
- access: public

void __construct (string $type, array $init)

- string $type: caching type
- array $init: the IDS_Init object

getCache (line 172)

Returns the cached data

Note that this method returns false if either type or file cache is not set

- return: cache data or false
- access: public

mixed getCache ()

Implementation of:

IDS_Caching_Interface::getCache()
  Interface method

setCache (line 142)

Writes cache data

- throws: Exception if necessary files aren't writeable
- access: public

object setCache ( $data)

- array $data: the caching data

Implementation of:

IDS_Caching_Interface::setCache()
  Interface method

Documentation generated on Mon, 22 Dec 2008 13:36:50 +0100 by phpDocumentor 1.4.2